/*
  Exemple de code pour faire fonctionner le circuit blanc en mode manuel. 
  Pour convertir le circuit en mode automatique, s'inspirer de l'exemple de la libraire "ds3231-master" -> rtc_ds3231_alarm_every_5m
*/

#include "RTClib.h" // bilbiothèque horloge rtc
#include "ds3231.h"
#include <Wire.h> // bibliothèque communication wire


RTC_DS3231 rtc;                                                                                                         //DS3231 // déclaration RTC



const int PIN_CMD_TRANSISTOR = 7;


void setup()
{
  rtc.begin();                                                                                                           //lance le RTC                         
  pinMode(PIN_CMD_TRANSISTOR, OUTPUT);                                                                                        //Sortie pin 7 HIGH vers transistor
  digitalWrite(PIN_CMD_TRANSISTOR, HIGH);


  // following line sets the RTC to the date & time this sketch was compiled
  //   rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));

  //  rtc.adjust(DateTime(2020, 1, 13, 16, 20, 0));  // Défini une date et une heure pour le RTC (à ne faire qu'une fois)
  // Par exemple pour le 9 avril 2018 à 16:36:20
  // rtc.adjust(DateTime(2018, 4 ,9 , 16 ,36 ,20));


}

void loop()
{

  delay(10000);
                        //Programme à exécuter

  
  while (1) {
    digitalWrite(PIN_CMD_TRANSISTOR, LOW);                                                                                   //Sortie pin 7 LOW  POUR MISE EN SOMMEIL DE LA CARTE MKR
    delay(5000);

  }
}
